Bug 22222 - Mana subscription search always returns all results
Summary: Mana subscription search always returns all results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Josef Moravec
QA Contact: Alex Arnaud
URL:
Keywords:
Depends on: 17047
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-29 02:00 UTC by Owen Leonard
Modified: 2019-03-19 09:42 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22222: Don't send empty params to mana service (2.18 KB, patch)
2019-03-04 21:41 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22222: Don't send empty params to mana service (2.24 KB, patch)
2019-03-08 18:23 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22222: Don't send empty params to mana service (2.28 KB, patch)
2019-03-12 09:43 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-01-29 02:00:38 UTC
No matter what title string I submit I always get 3852 results back.
Comment 1 Josef Moravec 2019-03-04 21:41:22 UTC
Created attachment 86043 [details] [review]
Bug 22222: Don't send empty params to mana service

Test plan:
0) Do not apply the patch
1) Go to serials > Search on Mana
2) Insert some value into the form
3) Submit -> you get many (3000+) results
4) Apply the patch and restart_all
5) Repeat, now, you get only the subscription matching your query
Comment 2 Michal Denar 2019-03-08 18:23:02 UTC
Created attachment 86396 [details] [review]
Bug 22222: Don't send empty params to mana service

Test plan:
0) Do not apply the patch
1) Go to serials > Search on Mana
2) Insert some value into the form
3) Submit -> you get many (3000+) results
4) Apply the patch and restart_all
5) Repeat, now, you get only the subscription matching your query

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Alex Arnaud 2019-03-12 09:43:38 UTC
Created attachment 86508 [details] [review]
Bug 22222: Don't send empty params to mana service

Test plan:
0) Do not apply the patch
1) Go to serials > Search on Mana
2) Insert some value into the form
3) Submit -> you get many (3000+) results
4) Apply the patch and restart_all
5) Repeat, now, you get only the subscription matching your query

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 4 Josef Moravec 2019-03-12 10:17:12 UTC
(In reply to Alex Arnaud from comment #3)

> Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>

Thanks Alex
Comment 5 Nick Clemens 2019-03-15 12:48:18 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-03-19 09:42:31 UTC
Bug with enhancement not in 18.11.x series.